Keyboard devices
Implementation internals » Device handling

Keyboard device functions. More...

## Functions

static void | add_serial_console (hd_data_t *hd_data)
void | hd_scan_kbd (hd_data_t *hd_data)

## Detailed Description

Keyboard device functions.

## Function Documentation

## add_serial_console()

void add_serial_console | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_res_entry(), s_hd_t::base_class, u_hd_res_t::baud, bc_keyboard, res_baud_t::bits, s_hd_t::bus, bus_serial, DEV_CONSOLE, s_hd_t::device, free_mem(), free_str_list(), get_cmdline(), hd_data, hd_split(), hd_id_t::id, hd_id_t::name, new_mem(), new_str(), s_str_list_t::next, res_baud_t::parity, s_hd_t::res, res_baud, sc_keyboard_console, res_baud_t::speed, s_str_list_t::str, str_printf(), s_hd_t::sub_class, res_baud_t::type, and s_hd_t::unix_dev_name.

Referenced by hd_scan_kbd().

## hd_scan_kbd()

void hd_scan_kbd | ( | hd_data_t * | hd_data | ) |

References add_hd_entry(), add_serial_console(), s_hd_t::base_class, bc_keyboard, s_hd_t::bus, bus_none, s_hd_t::device, hd_data, hd_is_uml(), hd_probe_feature(), hd_id_t::id, MAKE_ID, mod_kbd, pr_kbd, PROGRESS, remove_hd_entries(), sc_keyboard_kbd, s_hd_t::sub_class, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_no_hal().